Package ghidra.trace.model.listing

# Interface TraceCodeOperations

All Known Subinterfaces:
  `TraceCodeManager`, `TraceCodeSpace`

All Known Implementing Classes:
  `DBTraceCodeManager`, `DBTraceCodeSpace`

public interface TraceCodeOperations
This interface is the entry for operating on code units of a trace

See `TraceCodeManager` for some examples. This interface does not directly support operating on the units. Rather it provides access to various "views" of the code units, supporting a fluent syntax for operating on the units. The views are various subsets of units by type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceCodeUnitsView`
  `codeUnits()`
  Get a view of all the code units in the listing
  `TraceDataView`
  `data()`
  Get a view of only the data units (defined and undefined) in the listing
  `TraceDefinedDataView`
  `definedData()`
  Get a view of only the defined data units in the listing
  `TraceDefinedUnitsView`
  `definedUnits()`
  Get a view of only the defined units (data and instructions) in the listing
  `TraceInstructionsView`
  `instructions()`
  Get a view of only the instructions in the listing
  `TraceUndefinedDataView`
  `undefinedData()`
  Get a view of only the undefined data units in the listing

- ## Method Details

  - ### codeUnits

    TraceCodeUnitsView codeUnits()
    Get a view of all the code units in the listing
    Returns:
      the code-units view

  - ### instructions

    TraceInstructionsView instructions()
    Get a view of only the instructions in the listing

    This view supports the creation of new instruction units. This view also supports clearing.

    Returns:
      the instruction-units view

  - ### data

    TraceDataView data()
    Get a view of only the data units (defined and undefined) in the listing
    Returns:
      the data-units view

  - ### definedData

    TraceDefinedDataView definedData()
    Get a view of only the defined data units in the listing

    This view supports the creation of new data units. This view also supports clearing.

    Returns:
      the defined-data-units view

  - ### undefinedData

    TraceUndefinedDataView undefinedData()
    Get a view of only the undefined data units in the listing
    Returns:
      return the undefined-data-units view

  - ### definedUnits

    TraceDefinedUnitsView definedUnits()
    Get a view of only the defined units (data and instructions) in the listing

    This view support clearing.

    Returns:
      the defined-units-view